FLTK 1.4.4: Fl_Mac_App_Menu Class Reference

FLTK 1.4.4

Loading...
Searching...
No Matches
Fl_Mac_App_Menu Class Reference
Mac OS X-specific symbols

## Static Public Member Functions
static void | custom_application_menu_items (const Fl_Menu_Item *m)
| Adds custom menu item(s) to the application menu of the system menu bar.

## Static Public Attributes
static const char * | about
| Localizable text for the "About xxx" application menu item.
static const char * | hide
| Localizable text for the "Hide xxx" application menu item.
static const char * | hide_others
| Localizable text for the "Hide Others" application menu item.
static const char * | print
| Localizable text for the "Print Front Window" application menu item.
static const char * | print_no_titlebar
| Localizable text for the "Print Front Window" application menu item.
static const char * | quit
| Localizable text for the "Quit xxx" application menu item.
static const char * | services
| Localizable text for the "Services" application menu item.
static const char * | show
| Localizable text for the "Show All" application menu item.
static const char * | toggle_print_titlebar
| Localizable text for the "Toggle print titlebar" application menu item.

## Member Function Documentation

## ◆ custom_application_menu_items()

void Fl_Mac_App_Menu::custom_application_menu_items | ( | const Fl_Menu_Item * | m | ) |
| static

Adds custom menu item(s) to the application menu of the system menu bar.

They are positioned after the "Print Front Window / Toggle printing of titlebar" items, or at their place if they were removed with Fl_Mac_App_Menu::print = "".

Parameters

  m | zero-ending array of Fl_Menu_Item 's.

## Member Data Documentation

## ◆ print

const char* Fl_Mac_App_Menu::print
| static

Localizable text for the "Print Front Window" application menu item.

This menu item and next one won't be displayed if Fl_Mac_App_Menu::print is set to an empty string.

The documentation for this class was generated from the following file:

- mac.H